cDAQ-9172 Shows Unsupported Error -209852 in NI MAX

Updated May 8, 2018

Reported In

Hardware

  • cDAQ-9172

Driver

  • NI-DAQmx
  • NI-DAQmx 17.6
  • NI-DAQmx 17.5

Issue Details

When I run a self-test or view my cDAQ-9172 in NI Measurement and Automation Explorer, the self-test fails and I see the following error: 
 

Status Code: -209852
The specified device is no longer supported within the NI DAQmx API.
Visit ni.com/info and enter the Info Code: Cseriesdoc

 

 

Solution

The cDAQ-9172 is a legacy device and is not supported in DAQmx 17.6 and later versions. 
  1. Uninstall your current version of DAQmx. 
  2. The last compatible version of DAQmx with the cDAQ-9172 is DAQmx 17.5. Install this or an older version that is compatible with your system.

Additional Information

If you are not sure what version of the DAQmx driver you have installed, you can check this following these steps


Since the device is not supported in newer versions of DAQmx, consider upgrading to a newer cDAQ chassis
 

For more information on devices that are not supported in DAQmx 17.6 and later, you can visit the following pages: 

WAS THIS ARTICLE HELPFUL?

Not Helpful